# ntpleapfetch - fetch and manage local leapfile

| from Pogo, Walt Kelly Occasionally, the leap second needs an update.

## 1. Manual Pages

### 1.1. Manual Pages

- `ntp.conf(5)` - ntpd Configuration File

- `ntp.keys(5)` - NTP symmetric key file format

- `ntpd(8)` - Network Time Protocol (NTP) daemon

- `ntpdig(1)` - Simple Network Time Protocol (SNTP) client

- `ntpfrob(8)` - frob the local clock hardware

- `ntpkeygen(8)` - generate public and private keys

- `ntpleapfetch(8)` fetch and manage leap-offset file

- `ntploggps(1)` - log gpsd data for use by ntpviz

- `ntplogtemp(1)` - log system temperature data for use by ntpviz

- `ntpmon(1)` - real-time NTP status monitor

- `ntpq(1)` - standard NTP query program

- `ntpsnmp(1)` - an AgentX Simple Network Management Protocol sub-agent [`experimental`]

- `ntpsweep(1)` - print information about given NTP servers

- `ntptime(8)` - read and set kernel time variables

- `ntptrace(1)` - trace a chain of NTP servers back to the primary source

- `ntpviz(1)` - make offset, jitter, and other plots from logfiles

- `ntpwait(8)` - wait until ntpd is in synchronized state

## 2. Table of Contents

- SYNOPSIS

- DESCRIPTION

- OPTIONS

## 3. SYNOPSIS

    ntpleapfetch
        [-46] [-c command] [-e expiry] [-f config] [-F] [-h]
    	[-i interval] [-l] [L] [-p {4|6}] [-P logfacility] [-q]
    	[-r retries] [-s source-url] [-t path] [-v] [-z path]
    	[-Z] [leapfile] [-V | --version] [filename]

## 4. DESCRIPTION

`ntpleapfetch` will validate the file currently on the local system and if necessary, update leap second definition file.

Ordinarily, the file is found using the "leapfile" directive in ntp.conf(5). However, an alternate location can be specified on the command line.

If the file does not exist, is not valid, has expired, or is expiring soon, a new copy will be downloaded. If the new copy validates, it is installed and NTP is (optionally) restarted.

If the current file is acceptable, no download or restart occurs.

-c can also be used to invoke another script to perform administrative functions, e.g. to copy the file to other local systems.

This can be run as a cron job. As the file is rarely updated, and leap seconds are announced at least one month in advance (usually longer), it need not be run more frequently than about once every three weeks.

For cron-friendly behavior, define CRONJOB=1 in the crontab.

## 5. OPTIONS

`-4`

  Use only IPv4 addresses for DNS name resolution. This option must not appear in combination with `-6`.

`-6`

  Use only IPv6 addresses for DNS name resolution. This option must not appear in combination with `-4`.

`-c`

  Command to restart ntpd after installing a new file. Without such a command, ntpd checks the file daily.

`-e` expiry

  Refresh the leapfile this long before it expires.

  Specify how long before expiration the file is to be refreshed. Units are required, e.g. "-e 60 days". Note that larger values imply more frequent refreshes.

`-f` config

  Location of the ntp.conf file.

  Specify location of ntp.conf, which defaults to `/etc/ntp.conf`. It is read to make sure the "leapfile" directive is present and to determine the default path to the leapfile.

`-F`

  Force update even if current file is OK and not close to expiring.

`-i` interval

  Number of minutes between retries.

`-h`

  Display inline help.

`-l`

  Use syslog for output (Implied if CRONJOB is set).

`-L`

  Don’t use syslog for output

`-p` {`4`|`6`}

  Prefer IPv4 or IPv6 (as specified) addresses, but use either.

`-P` logfacility

  Specify the syslog facility for logging.

`-q`

  Only report errors to stdout.

`-r` retries

  Number of retries.

`-s` source-url

  The URL of the master copy of the leapseconds file.

`-t` path

  Name of temporary file used in validation.

`-v`

  Verbose output.

`-z` path

  Specify path for utilities.

`-Z`

  Use system path only.

`-V`, `--version`

  Print the version string and exit.

leapfile

  An alternate location to download the leapseconds file to.

Home Page | Site Map | Contacts